pk-update-detail-obj
3
PACKAGEKIT Library

# pk-update-detail-obj

Functionality to create an update detail struct

## Synopsis

    PkUpdateDetailObj * pk_update_detail_obj_new            (void);
    PkUpdateDetailObj * pk_update_detail_obj_copy           (const PkUpdateDetailObj *obj);
    PkUpdateDetailObj * pk_update_detail_obj_new_from_data  (const PkPackageId *id,
                                                             const gchar *updates,
                                                             const gchar *obsoletes,
                                                             const gchar *vendor_url,
                                                             const gchar *bugzilla_url,
                                                             const gchar *cve_url,
                                                             PkRestartEnum restart,
                                                             const gchar *update_text,
                                                             const gchar *changelog,
                                                             PkUpdateStateEnum state,
                                                             GDate *issued,
                                                             GDate *updated);
    gboolean            pk_update_detail_obj_free           (PkUpdateDetailObj *obj);

## Description

## Details

### pk_update_detail_obj_new ()

    PkUpdateDetailObj * pk_update_detail_obj_new            (void);

Creates a new PkUpdateDetailObj object with default values

Returns :

  a new PkUpdateDetailObj object

### pk_update_detail_obj_copy ()

    PkUpdateDetailObj * pk_update_detail_obj_copy           (const PkUpdateDetailObj *obj);

`obj` :

Returns :

  a new PkUpdateDetailObj object

### pk_update_detail_obj_new_from_data ()

    PkUpdateDetailObj * pk_update_detail_obj_new_from_data  (const PkPackageId *id,
                                                             const gchar *updates,
                                                             const gchar *obsoletes,
                                                             const gchar *vendor_url,
                                                             const gchar *bugzilla_url,
                                                             const gchar *cve_url,
                                                             PkRestartEnum restart,
                                                             const gchar *update_text,
                                                             const gchar *changelog,
                                                             PkUpdateStateEnum state,
                                                             GDate *issued,
                                                             GDate *updated);

Creates a new PkUpdateDetailObj object with values.

`id` :

`updates` :

`obsoletes` :

`vendor_url` :

`bugzilla_url` :

`cve_url` :

`restart` :

`update_text` :

`changelog` :

`state` :

`issued` :

`updated` :

Returns :

  a new PkUpdateDetailObj object

### pk_update_detail_obj_free ()

    gboolean            pk_update_detail_obj_free           (PkUpdateDetailObj *obj);

`obj` :

  the PkUpdateDetailObj object

Returns :

  `TRUE` if the PkUpdateDetailObj object was freed.